"""create table for books
Revision ID: 2f7a3d8c2b62
Revises: 0001
Create Date: 2023-05-23 12:00:00
"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.sql import func


# revision identifiers, used by Alembic.
revision = '2f7a3d8c2b62'
down_revision = '0001'
branch_labels = None
depends_on = None


def upgrade():
    op.create_table(
        'books',
        sa.Column('id', sa.String(36), primary_key=True, server_default=sa.text("uuid_generate_v4()")),
        sa.Column('title', sa.String(), nullable=False),
        sa.Column('author', sa.String(), nullable=False),
        sa.Column('description', sa.String(), nullable=True),
        sa.Column('pages', sa.Integer(), nullable=False),
        sa.Column('publisher_id', sa.String(36), nullable=False),
        sa.Column('created_at', sa.DateTime(), server_default=func.now()),
        sa.Column('updated_at', sa.DateTime(), server_default=func.now(), onupdate=func.now()),
        sa.ForeignKeyConstraint(['publisher_id'], ['publishers.id'], ),
    )


def downgrade():
    op.drop_table('books')