from fastapi import APIRouter, Depends
from typing import List
from sqlalchemy.orm import Session
from core.database import get_db
from schemas.book import BookSchema
from helpers.book_helpers import get_all_books

router = APIRouter()

@router.get("/books", status_code=200, response_model=List[BookSchema])
async def get_books(
    db: Session = Depends(get_db)
):
    books = get_all_books(db)
    return books